package com.fjhx.form.service;

import com.fjhx.sale.entity.contract.vo.ContractVo;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseVo;

import java.util.List;
import java.util.Map;

public interface StatisticsService {

    /**
     * 工作统计
     */
    Map<String, Long> workStatistics();

    /**
     * 合同近7天出货列表
     */
    List<ContractVo> getRecentContractShipmentList();

    /**
     * 近7天采购待到货数据
     */
    List<EhsdPurchaseVo> getRecentPurchaseArrivalList();
}
